const Lexer = require('../src/lexer')
const Parser = require('../src/parser')

const scan = source => {
  const lexer = new Lexer()
  return lexer.scan(source)
}

const parse = source => {
  const parser = new Parser(scan(source))
  return parser.parse()
}

module.exports = {
  scan: scan,
  parse: parse,
}
